Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 611702 - RFE: LXDE icons in gpk-application
RFE: LXDE icons in gpk-application
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 04:12 EDT by Christoph Wickert
Modified: 2010-10-17 20:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 06:04:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
LXDE icons for use in gnome-packagekit (6.10 KB, application/x-bzip)
2010-07-06 04:12 EDT, Christoph Wickert
no flags Details
category groups screenshot (74.14 KB, image/png)
2010-07-13 06:04 EDT, Richard Hughes
no flags Details

  None (edit)
Description Christoph Wickert 2010-07-06 04:12:19 EDT
Created attachment 429697 [details]
LXDE icons for use in gnome-packagekit

Description of problem:
gpk-application has icons for GNOME, KDE and Xfce, but not for LXDE. 

Version-Release number of selected component (if applicable):
gnome-packagekit-2.31.4-1.fc14

Additional info:
IIRC you wanted to introduce a tree structure in the left pane, which would also let LXDE or Sugar have their own group instead of being part of "Other Desktops". What is the status of that?
Comment 1 Richard Hughes 2010-07-13 06:04:04 EDT
Created attachment 431406 [details]
category groups screenshot

We've already got support for a LXDE group if you're using comps and the category-groups mode. See screenshot. PackageKit doesn't have an enumerated group enum for LXDE as it's not common enough to be in the 20-or-so most used groups that we've standardized among other distros.
Comment 2 Christoph Wickert 2010-10-17 20:13:44 EDT
(In reply to comment #1)
> We've already got support for a LXDE group if you're using comps and the
> category-groups mode. See screenshot. 

How would I do that? I'm using gnome-packagekit 2.32 it does not look like the screenshot. There is no tree and no dedicated LXDE group. ATM the group "window managers" messes up LXDE, Sugar, Moblin and all legacy WMs. It is hard to use.
Comment 3 Christoph Wickert 2010-10-17 20:19:10 EDT
I found it in gconf, please ignore my question.

Note You need to log in before you can comment on or make changes to this bug.